## makefile for sysmon
##
## jared@puck.nether.net
##

all: src/Makefile
	(cd src; make )

autoconf: configure
	make -f autoconf/Makefile autoconf

clean: 
	-(cd src ; make clean)
	rm -f src/Makefile
	rm -f src/defines.h
	rm -f config.status config.log config.cache confdefs.h

install:
	(cd src; make install)

register:
	(cd src; make register)


## For use by me (jared) only
beta:
	-make clean
	echo "*** DID YOU UPDATE THE VERS define in src/config.h ***"
	sleep 3
	( cd ..; tar --exclude CVS -zcvf ~/anonftpdir/beta/sysmon-devel.`date +%m%d%Y.%H%M`.tar.gz sysmon/ )

src/Makefile:
	./configure
